gnutls_x509_crt_set_issuer_dn_by_oid(3)

NAME
gnutls_x509_crt_set_issuer_dn_by_oid - Set the Certificate request issuer's distinguished name

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_issuer_dn_by_oid(gnutls_x509_crt_t crt, const char * oid, unsigned int raw_flag, const void * name, unsigned int sizeof_name);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

const char * oid
    holds an Object Identifier in a null terminated string

unsigned int raw_flag
    must be 0, or 1 if the data are DER encoded

const void * name
    a pointer to the name

unsigned int sizeof_name
    holds the size of name

DESCRIPTION
This function will set the part of the name of the Certificate issuer, specified by the given OID. The input string should be ASCII or UTF-8 encoded. Some helper macros with popular OIDs can be found in gnutls/x509.h With this function you can only set the known OIDs. You can test for known OIDs using gnutls_x509_dn_oid_known(). For OIDs that are not known (by gnutls) you should properly DER encode your data, and call this function with raw_flag set. Normally you do not need to call this function, since the signing operation will copy the signer's name as the issuer of the certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.